ablunier/laravel-lang-installer

There is no license information available for the latest version (1.1.1) of this package.

Command for easily add languages to a Laravel project

1.1.1 2018-02-19 17:26 UTC

This package is auto-updated.

Last update: 2020-06-12 16:47:22 UTC


README

Install translation files for any language with a command in your laravel projects. The language files will be downloaded from the awesome caouecs languages repository.

Requirements

  • PHP 5.5 or higher.
  • Laravel >= 5.1

Installation

Add the package to your composer.json:

composer require ablunier/laravel-lang-installer

Add the service provider in app.php:

    Ablunier\Laravel\Translation\LanguageInstallerServiceProvider::class,

Publish the package's assets:

php artisan vendor:publish

Configuration

Edit the 'lang-installer.php' file in your config folder to add your required languages and files.

Usage

Execute the command:

php artisan lang:install